com.sun.jna.platform.mac

## Class CoreFoundation.CFDataRef

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.mac.CoreFoundation.CFTypeRef
    - - com.sun.jna.platform.mac.CoreFoundation.CFDataRef

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  CoreFoundation

    public static class CoreFoundation.CFDataRef
    extends CoreFoundation.CFTypeRef

A reference to an immutable `CFData` object.

### Constructor Summary

Constructors
Constructor and Description
`CFDataRef()`
`CFDataRef(Pointer p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Pointer` `getBytePtr()` Convenience method for `CoreFoundation.CFDataGetBytePtr(com.sun.jna.platform.mac.CoreFoundation.CFDataRef)` on this object
`int` `getLength()` Convenience method for `CoreFoundation.CFDataGetLength(com.sun.jna.platform.mac.CoreFoundation.CFDataRef)` on this object

### Methods inherited from class com.sun.jna.platform.mac.CoreFoundation.CFTypeRef

`getTypeID, isTypeID, release, retain`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CFDataRef

    public CFDataRef()

#### CFDataRef

    public CFDataRef(Pointer p)

### Method Detail

#### getLength

    public int getLength()

Convenience method for `CoreFoundation.CFDataGetLength(com.sun.jna.platform.mac.CoreFoundation.CFDataRef)` on this object

Returns:
  An index that specifies the number of bytes associated with this object.

#### getBytePtr

    public Pointer getBytePtr()

Convenience method for `CoreFoundation.CFDataGetBytePtr(com.sun.jna.platform.mac.CoreFoundation.CFDataRef)` on this object

Returns:
  A read-only pointer to the bytes associated with this object.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.